Skip to main content
GET
/
api
/
test-runs
/
{id}
Get a test run
curl --request GET \
  --url https://api.empirical.run/api/test-runs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "test_run": {
      "project": {
        "id": 123,
        "name": "<string>",
        "repo_name": "<string>"
      },
      "testRun": {
        "id": 123,
        "total_count": 123,
        "success_count": 123,
        "failed_count": 123,
        "skipped_count": 123,
        "flaky_count": 123,
        "duration": 123,
        "test_run_branch": "<string>",
        "environment_slug": "<string>",
        "environment_name": "<string>",
        "build_url": "<string>",
        "build_branch": "<string>",
        "commit": "<string>",
        "created_at": "<string>",
        "test_run_head_sha": "<string>",
        "run_started_at": "<string>",
        "run_ended_at": "<string>",
        "summary_url": "<string>"
      },
      "flattenedSummaryDetails": [
        null
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Test run ID.

Required range: x >= 1

Response

The test run.

data
object
required